<?
if(isset($_GET['taxi']) && isset($_GET['change_turbo']))
{
echo '<div class="event"><h1>Магазин «Турбо»</h1></div>';
echo "<div class='content'>";
echo "<div class='block'>";

if(isset($_GET['select']) && intval($_GET['select'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_soil` WHERE `id` = '".intval($_GET['select'])."' AND (`level` = '$ku[level]' OR `level` < '$ku[level]')"),0)!=0)
{
mysql_query("UPDATE `kolhoz_user` SET `last_soil` = '".intval($_GET['select'])."' WHERE `id` = '$ku[id]'");
header("Location:?taxi&".passgen());
exit;
}
$q=mysql_query("SELECT * FROM `kolhoz_soil`");
echo "<ul>";
while($post=mysql_fetch_array($q))
{
echo "<li style='padding-bottom:8px'>";
echo "<img width='16' height='16' src='images/soil.png' alt='o' class='portrait' ><div>". ($ku['level']>=$post['level']?"<a href='?taxi&change_turbo&select=$post[id]'>":null)."<span>".hsc($post['name'])."</span>".($ku['level']>=$post['level']?"</a>":null)."<span class='minor'>, ".($ku['level']>=$post['level']?"цена: </span><span><img width='16' height='16' src='images/icons/money.png' alt='o'> <span class='title'>$post[cena]</span></span>":"доступно с $post[level] уровня</span>")."</div><div class='minor small'>Ускоряет время перевозки на <span class='title'>".time_left($post['time'])."</span>,опыт: <img width='16' height='16' src='images/icons/experience.png' alt='o'> <span class='title'>$post[rating]</span></div><div style='clear:both'></div></li>";
}
echo "</ul></div>";
include_once 'inc/foot.php';
}
?>